%define dirlist app-defaults ru_RU.UTF-8/app-defaults ru_RU.CP1251/app-defaults ru_RU.KOI8-R/app-defaults
%define origname xawtv
Name: %{origname}4
Version: 4.0
%define dateversion 20060615
%define number 161048
%define cvsversion %dateversion-%number
%define tvtuner tvtuner
%define gtktv gtktv
%define motv motv
%define fbtv fbtv
%define xawtv %origname
Release: alt1a.%dateversion


Summary: A X11 program for watching TV
Summary(ru_RU.UTF-8): Программа для просмотра ТВ
License: GPL
Group: Video
Url: http://bytesex.org/xawtv

Source0: %origname-%cvsversion.tar.gz
Source1: xawtvrc-paris
Source2: %name
Source3: %name-32.png
Source4: %name-16.png
Source5: %name-48.png
Source6: secam-russia.list
Source7: XawVDR
#Source8: %name-%version-windowsize.patch
#Source9: %name-%version-font.patch
Source10: %name-ru-addon.tar.bz2
Source11: %motv
Source12: %gtktv
Source13: %xawtv
Source14: %xawtv-radio
Source15: xawvdr



Patch0: %name-%version-as-need.patch
Patch1: %name-%version-gtkadd.patch
Patch2:	%name-%version-delete-static.patch
Patch3: %name-%version-fbtv-fix.patch
Patch4: %name-%version-gcc4.patch
Patch5: %name-%version-aalib-fix.patch
Patch6: %name-%version-libquictime-fix.patch
Patch7: %name-%version-defwintitle.patch
Patch8: %name-%version-vdr.patch
Patch9: %name-%version-russian.patch
Patch10: %name-%version-vdr-russian.patch
#Patch10: %name-%version-stations-utf8.patch

BuildPreReq: fontconfig-devel freetype2-devel gcc-c++ glib-devel
BuildPreReq: glib2 hostinfo libalsa-devel libdv-devel libgpm-devel libjpeg-devel
BuildPreReq: liblirc-devel libncurses-devel libpng-devel libquicktime-devel libslang-devel
BuildPreReq: libtinfo-devel libzvbi-devel openmotif-devel pkgconfig  xorg-x11-libs zlib-devel
BuildPreReq: libXt-devel libFS-devel
BuildPreReq: gcc-c++ gccmakedep glib-devel libalsa-devel
BuildPreReq: libgtk+2-devel liblirc-devel libmad-devel libmesa-devel
BuildPreReq: libmpeg2-devel libncurses-devel libpng-devel libquicktime-devel
BuildPreReq: libquicktimehv-devel libXaw-devel libXinerama-devel
BuildPreReq: libxml2-devel libXv-devel libzvbi-devel openmotif-devel xorg-cf-files

BuildPreReq: libalsa-devel gtk2-devel
BuildPreReq: libjpeg libmpeg2 libmpeg2-devel libpng libpng-devel
BuildPreReq: libxml2 libxml2-devel lirc mad libmad-devel menu
BuildPreReq: xorg-x11-libs xorg-x11-devel xorg-x11-libs
BuildPreReq: zvbi zvbi-devel libjpeg libjpeg-devel libncurses-devel

BuildPreReq: linux-libc-headers imake
BuildPreReq: glibc-devel iconv

BuildPreReq: gccmakedep

Requires: %name-common = %version
Requires: lib%name = %version
Provides: %tvtuner



# Automatically added by buildreq on Thu Jul 27 2006

%package common
Summary: Common files for %fbtv/%motv/%xawtv/%gtktv
Summary(ru_RU.UTF-8): Файлы используемые совместно %fbtv/motv/%gtktv/%xawtv/%gtktv
Group: Video
Conflicts: xawtv <= 3.79-alt1
Requires: lib%name = %version

%package -n lib%name
Summary: Common files for %fbtv/%motv/%gtktv/%xawtv
Summary(ru_RU.UTF-8): Файлы используемые совместно %fbtv/%motv/%xawtv/%gtktv
Group: Video
Conflicts: xawtv <= 3.79-alt1

%package vdr
Summary: A X11 VDR frontend
Summary(ru_RU.UTF-8): X11 оболочка для VDR
Group: Video
Requires: lib%name = %version
Requires: %name-common = %version
Requires: vdr %tvtuner

%package control
Summary: Control video4linux devices
Summary(ru_RU.UTF-8): Управление устройствами video4linux
Group: Video
Requires: lib%name = %version
Requires: %name-common = %version

%package -n %fbtv
Summary: A console program for watching TV
Summary(ru_RU.UTF-8): Консольная программа для просмотра ТВ
Group: Video
Provides: %tvtuner = version
Requires: lib%name = %version
Requires: %name-common = %version

%package misc
Summary: Xawtv miscellous stuff
Summary(ru_RU.UTF-8): Различные утилиты %xawtv
Group: Video
Requires: lib%name = %version
Requires: %name-common = %version

%package radio
Summary: Console radio application
Summary(ru_RU.UTF-8): Прослушивание радио
Group: Sound
Requires: lib%name = %version
Requires: %name-common = %version

%package streamer
Summary: Record audio and/or video streams
Summary(ru_RU.UTF-8): Запись аудио и/или видео потоков
Group: Video
Requires: lib%name = %version
Requires: %name-common = %version

%package dvb
Summary: dvb programs
Summary(ru_RU.UTF-8): Прогрммы для DVB
Group: Video
Requires: lib%name = %version
Requires: %name-common = %version

%package -n %motv
Summary: A Motif program for watching TV
Summary(ru_RU.UTF-8): Motif программа для просмотра ТВ
Group: Video
Provides: %tvtuner
Requires: lib%name = %version
Requires: %name-common = %version

%package -n %gtktv
Summary: A X11 program for watching TV
Summary(ru_RU.UTF-8): GTK программа для просмотра ТВ
Group: Video
Provides: %tvtuner
Requires: lib%name = %version
Requires: %name-common = %version

%package -n %xawtv
Summary: A X11 program for watching TV
Summary(ru_RU.UTF-8): X11 программа для просмотра ТВ
Group: Video
Provides: %tvtuner
Requires: lib%name = %version
Requires: %name-common = %version

%package web
Summary: Videotext pages webserver & images capture/upload to a webserver
Summary(ru_RU.UTF-8): Web-сервер страниц видеотекста, а также захват изображений и их передача на web-сервер
Group: Networking/WWW
Requires: lib%name = %version
Requires: %name-common = %version

%description
 tvtuner is a Video4Linux Stream Capture Viewer, that is a X11 program for
watching TV.

When run together with VDR %xawtv is capable of displaying digital
satellite, cable or terrestrial broadcasts.

%description -n %gtktv
 %gtktv is a Video4Linux Stream Capture Viewer, that is a X11 program for
watching TV.

It uses the Athena widgets.
 %gtktv has a nicer GUI which use GTK2 widgets.

When run together with VDR %xawtv is capable of displaying digital
satellite, cable or terrestrial broadcasts.

%description -n %gtktv -l ru_RU.UTF-8
 %gtktv  - программа для просмотра и записи видеопотоков Video4Linux,
то есть программа для просмотра ТВ.

 %gtktv использует набор графических элементов Athena. %gtktv обладает
улучшенным интерфейсом на основе элементов GTK2.

Может использоваться совместно с VDR для просмотра цифрового спутникового,
кабельного и эфирного ТВ формата DVB.

%description -n %xawtv
Xawtv is a Video4Linux Stream Capture Viewer, that is a X11 program for
watching TV.

It uses the Athena widgets.
MoTV has a nicer GUI which use lesstif (motif) widgets.

When run together with VDR %xawtv is capable of displaying digital
satellite, cable or terrestrial broadcasts.

%description -n %xawtv -l ru_RU.UTF-8
Xawtv - программа для просмотра и записи видеопотоков Video4Linux,
то есть программа для просмотра ТВ.

Xawtv использует набор графических элементов Athena. MoTV обладает
улучшенным интерфейсом на основе элементов lesstif (motif).

Может использоваться совместно с VDR для просмотра цифрового спутникового,
кабельного и эфирного ТВ формата DVB.

%description common
These're common files for %fbtv, %motv, %gtktv and %xawtv.
There're:
 * scantv - small text program that look for tv channels
 * streamer - capture tool (images / movies)

%description common -l ru_RU.UTF-8
Программы используемые совместно %fbtv, %motv, %gtktv и %xawtv.
 * scantv - небольшая текстовая программа поиска ТВ-каналов
 * streamer - программа захвата картинок / записи фильмов

%description -n lib%name
lib for %name

%description -n lib%name -l ru_RU.UTF-8
Библиотеки для программ %name %version

%description vdr
VDR frontend used to watch, record and replay digital TV broadcasts directly on your desktop.
 * %xawtv-vdr - patched version of %xawtv able to pass user input to VDR via SVDRP protocol

%description vdr -l ru_RU.UTF-8
Оболочка VDR предназначенная для просмотра, записи и воспроизведения цифрового ТВ на экране компьютера.
 * %xawtv-vdr - модифицированная версия %xawtv, которая передаёт все нажатия клавиш сервису VDR по протоколу SVDRP.

%description control
Xawtv-remote and v4lctl can be used to control a video4linux driven TV card.

Xawtv-remote passes the command to a already running %xawtv or %motv instance
using X11 properties.

V4lctl is a command line tool that sets the parameters directly.

%description control -l ru_RU.UTF-8
Xawtv-remote и v4lctl можно использовать для управления ТВ-карт стандарта video4linux.

Xawtv-remote передаёт средствами X11 команды уже запущенным копиям %xawtv и %motv.

V4lctl позволяет изменять параметры video4linux напрямую.

%description -n %fbtv
Fbtv is a program for watching TV with your linux box.
It runs on top of a graphic framebuffer device (/dev/fb0).

The pro is that you don't need X11 in order to watch tv.

fbtv shares the config file ($HOME/.tv) with the %xawtv
application.

Check the xawtv(1) manpage for details about the config file format.

%description -n %fbtv -l ru_RU.UTF-8
Fbtv - программа для просмотра ТВ, использующая графическую консоль
(устройство /dev/fb0). Её достоинство в том, что для просмотра телепрограмм
не требуется X-сервер. Fbtv использует тот же файл настроек ($HOME/.tv/*),
что и основная программа %xawtv.

Формат файла настроек описан в man-странице xawtv(1).

%description misc
This package has a few tools you might find useful.  They
have not to do very much to do with %xawtv.  I've used/wrote
them for debugging:
 * dump-mixers - dump mixer settings to stdout
 * propwatch   - monitors properties of X11 windows.  If you
                 want to know how to keep track of %xawtv's
                 _XAWTV_STATION property, look at this.
 * mtt4        - teletext browser with GTK
 * ntsc-cc     - reads vbi data from /dev/vbi and decodes the enclosed cc data.
 * pia         - play media files
 * record      - console sound recorder.  Has a simple input
                 level meter which might be useful to trouble
                 shoot sound problems.
 * showriff    - display the structure of RIFF files (avi, wav).

%description misc -l ru_RU.UTF-8
Несколько полезных утилит не связанных непосредственно с %xawtv.
 * dump-mixers - Выдаёт настройки микшера на стандартный вывод.
 * propwatch   - Отслеживает свойства окон X11. Может использоваться
                 в качестве примера работы со свойством _XAWTV_STATION.
 * mtt4         - Чтение телетекста для консоли и X11.
 * ntsc-cc     - Получение данных vbi с /dev/vbi и извлечение данных cc.
 * pia         - Проигрывает записанные файлы.
 * record      - Запись звука в консоли. Имеет примитивный индикатор уровня
                 записи, который может пригодиться для разбора проблем записи.
 * showriff    - Показ структуры файлов стандарта RIFF (avi, wav).

%description -n %motv
This is a %motv-based Video4Linux capture viewer.

It is basically %xawtv with a more userfriendly GUI.
It has the same features, uses the same config file, has the same command
line switches, you can control it using %xawtv-remote.
Most keyboards shortcuts are identical too.

%description -n %motv -l ru_RU.UTF-8
Программа просмотра и записи видео %motv. Практически аналог %xawtv с
улучшенным интерфейсом. Обладает теми же возможностями, использует
тот же файл настроек, параметры командной строки, управляется с помощью
%xawtv-remote. Большинство горячих клавиш также совпадают с %xawtv.

%description radio
This is a ncurses-based radio application

%description dvb
This is a dvb application

%description radio -l ru_RU.UTF-8
Консольная программа для управления радиоприемником

%description streamer
streamer reads audio and/or video data from /dev/video0 and /dev/dsp
and writes the data to the disk.
Various output formats are supported.
Start streamer with '-h' for a list of options and supported output formats.

%description streamer -l ru_RU.UTF-8
Streamer читает и записывает на диск звуковые и/или видео данные с устройств
/dev/video0 и /dev/dsp. Поддерживает различные форматы вывода данных. Запустите
streamer с ключом '-h' для получения краткой справки и перечня поддерживаемых
форматов.

%description web
Webcam captures images from a video4linux device like b%gtktv,
annotates them and and uploads them to a webserver using ftp
in a endless loop.

Alevtd is http daemon which serves videotext pages as HTML.
Tune in some station with a utility like v4lctl or some TV application.
Then start it and point your browser to http://localhost:5654/

Pages may be requested either in HTML format (http://localhost:5654/<page>/
or http://localhost:5654/<page>/<subpage>.html) or in ASCII text format
(http://localhost:5654/<page>/<subpage>.txt).
Subpage "00" can be used for pages without subpages.

%description web -l ru_RU.UTF-8
Webcam захватывает картинки с устройств video4linux, таких как b%gtktv,
аннотирует их и передаёт на web-сервер по ftp в бесконечном цикле.

Alevtd - http демон передающий страницы видеотекста в виде HTML.
Для его использования следует настроиться на станцию при помощи v4lctl
или другой ТВ программы, запустить alevtd и в браузере ввести адрес
http://localhost:5654/.

Страницы могут передаваться в формате HTML (http://localhost:5654/<page>/
or http://localhost:5654/<page>/<subpage>.html) или в виде простого текста
(http://localhost:5654/<page>/<subpage>.txt). Для страниц без "подстраниц"
можно использовать номер "00".

%prep
%setup -q -a10 -n %origname
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

pushd gtk
mv xawtv.c %gtktv.c
mv mtt.c mtt4.c
mv pia.c pia4.c
popd

%build
%__autoreconf

inst=$(ls	/usr/share/automake*/install-sh \
		/usr/local/share/automake*/install-sh \
		2>/dev/null | head -1)

cp "$inst" .

%configure    

%make_build CFLAFS="%optflags"

%install

%make_install DESTDIR=%buildroot \
	     ROOT=%buildroot	\
	     SUID_ROOT="" install

install -pD -m 644 %_builddir/%origname/libng/libng.so %buildroot/%_libdir/

# Fix geometry and fonts
#for dir in #dirlist; do
#    #__install -d %buildroot/#_sysconfdir/X11/$dir
#    pushd %buildroot/#_sysconfdir/X11/$dir
#    cat #SOURCE8 | patch -p1
#    cat #SOURCE9 | patch -p1
#    popd
#done

install -m 755 %SOURCE2 %buildroot%_bindir/XawTV
install -m 755 %SOURCE7 %buildroot%_bindir/XawVDR

install  -m 644 %SOURCE6  %buildroot/%_datadir/xawtv/secam-russia.list

# Menu entries
install -d %buildroot%_miconsdir
install -d %buildroot%_liconsdir

install -pD -m 644 %SOURCE3 %buildroot%_niconsdir/%motv.png
install -pD -m 644 %SOURCE4 %buildroot%_liconsdir/%motv.png
install -pD -m 644 %SOURCE5 %buildroot%_miconsdir/%motv.png

install -pD -m 644 %SOURCE3 %buildroot%_niconsdir/%xawtv.png
install -pD -m 644 %SOURCE4 %buildroot%_liconsdir/%xawtv.png
install -pD -m 644 %SOURCE5 %buildroot%_miconsdir/%xawtv.png

install -pD -m 644 contrib/xawtv32x32.xpm %buildroot%_niconsdir/%gtktv.png
install -pD -m 644 contrib/xawtv48x48.xpm %buildroot%_liconsdir/%gtktv.png
install -pD -m 644 contrib/xawtv16x16.xpm %buildroot%_miconsdir/%gtktv.png

install -d %buildroot%_menudir

install %SOURCE1 .|| true

install %SOURCE11 %buildroot%_menudir/
install %SOURCE12 %buildroot%_menudir/
install %SOURCE13 %buildroot%_menudir/
install %SOURCE14 %buildroot%_menudir/
install %SOURCE15 %buildroot%_menudir/



%files -n %gtktv
%_bindir/%gtktv
%_menudir/%gtktv
%_niconsdir/%{gtktv}*
%_liconsdir/%{gtktv}*
%_miconsdir/%{gtktv}*

%files -n lib%name
%dir %_libdir/%name
%_libdir/%name/*.so*
%_libdir/libng.so

%files -n %xawtv
%config(noreplace) %_sysconfdir/X11/app-defaults/Xawtv4
%config(noreplace) %_sysconfdir/X11/*/app-defaults/Xawtv4
%_bindir/%xawtv
%_bindir/XawTV
%_menudir/%xawtv
%_niconsdir/%{xawtv}*
%_liconsdir/%{xawtv}*
%_miconsdir/%{xawtv}*

%files vdr
%config(noreplace) %_sysconfdir/X11/app-defaults/Xawvdr
%config(noreplace) %_sysconfdir/X11/*/app-defaults/Xawvdr
%_bindir/XawVDR
%_menudir/xawvdr

%files common -f %origname.lang
%attr(4711,root,root) %_bindir/v4l-conf
%_bindir/rootv
%_bindir/scantv
%_bindir/subtitles
%_bindir/v4l-info
%_bindir/record
%_bindir/mtt4

%_man1dir/alevtd.1
%_man1dir/dump-mixers.1
%_man1dir/fbtv.1
%_man1dir/motv.1
%_man1dir/mtt.1
%_man1dir/ntsc-cc.1
%_man1dir/pia.1
%_man1dir/propwatch.1
%_man1dir/radio.1
%_man1dir/record.1
%_man1dir/rootv.1
%_man1dir/scantv.1
%_man1dir/showriff.1
%_man1dir/streamer.1
%_man1dir/subtitles.1
%_man1dir/ttv.1
%_man1dir/v4l-info.1
%_man1dir/v4lctl.1
%_man1dir/webcam.1
%_man1dir/xawtv-remote.1
%_man1dir/xawtv.1
%_man5dir/xawtvrc.5
%_man8dir/v4l-conf.8
%_mandir/es/man1/fbtv.1
%_mandir/es/man1/rootv.1
%_mandir/es/man1/scantv.1
%_mandir/es/man1/streamer.1
%_mandir/es/man1/subtitles.1
%_mandir/es/man1/ttv.1
%_mandir/es/man1/v4lctl.1
%_mandir/es/man1/xawtv-remote.1
%_mandir/es/man1/xawtv.1
%_mandir/es/man5/xawtvrc.5
%_mandir/es/man8/v4l-conf.8
%_mandir/fr/man1/alevtd.1
%_mandir/fr/man1/fbtv.1
%_mandir/fr/man1/record.1
%_mandir/fr/man1/rootv.1
%_mandir/fr/man1/scantv.1
%_mandir/fr/man1/streamer.1
%_mandir/fr/man1/subtitles.1
%_mandir/fr/man1/ttv.1
%_mandir/fr/man1/v4lctl.1
%_mandir/fr/man1/xawtv-remote.1
%_mandir/fr/man1/xawtv.1

%dir %_datadir/xawtv
%_datadir/xawtv/*
%doc contrib/frequencies*
%doc Changes README* TODO
%doc README*
%doc NEW_IN_4
%doc contrib/frequencies*
%doc xawtvrc*

%files control
%_bindir/v4lctl
%_bindir/%xawtv-remote

%files -n %fbtv
%_bindir/%fbtv

%files misc
%config(noreplace) %_sysconfdir/X11/app-defaults/mtt4
%_bindir/dump-mixers
%_bindir/mtt4
%_bindir/ntsc-cc
%_bindir/pia
%_bindir/pia4
%_bindir/propwatch
%_bindir/showriff
%_bindir/showqt
%_bindir/streamer
%_bindir/alexplore

%files dvb
%_bindir/dvbrowse
%_bindir/dvbradio

%files -n %motv
%config(noreplace) %_sysconfdir/X11/app-defaults/MoTV4
%config(noreplace) %_sysconfdir/X11/*/app-defaults/MoTV4
%_bindir/%motv
%_menudir/%motv
%_niconsdir/%{motv}*
%_liconsdir/%{motv}*
%_miconsdir/%{motv}*

%files radio
%_bindir/radio
%_menudir/%xawtv-radio

%files streamer
%_bindir/streamer

%files web
%_bindir/alevtd
%_bindir/webcam
%_mandir/man1/alevtd.1*
%_mandir/man1/webcam.1*

%post -n %gtktv
%update_menus

%postun -n %gtktv
%clean_menus

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig



%post vdr
#for dir in %dirlist; do
#    mv %_x11libdir/X11/$dir/Xawtv %_x11libdir/X11/$dir/Xawtv.bak
#    ln -s %_x11libdir/X11/$dir/Xawtv-vdr %_x11libdir/X11/$dir/Xawtv
#done
%update_menus

%postun vdr
#if [ "$1" = "0" ]; then
#    for dir in %dirlist; do
#	rm %_x11libdir/X11/$dir/Xawtv
#	mv %_x11libdir/X11/$dir/Xawtv.bak %_x11libdir/X11/$dir/Xawtv
#    done
#fi
%clean_menus

%post -n %motv
%update_menus

%postun -n %motv
%clean_menus

%post -n %xawtv
%update_menus

%postun -n %xawtv
%clean_menus

%post radio
%update_menus

%postun radio
%clean_menus

%changelog
* Tue Aug 01 2006 Hihin Ruslan <hihin_c@t_narod_dot_ru> 4.0-alt1a.20060615
- new version
- add or repaire patchs :
- 	xawtv4-4.0-as-need.patch	- fix dlopen
-	xawtv4-4.0-gtkadd.patch		- fix two %xawtv
-	xawtv-4.0-delete-static.patch   - replace static lib on dinamic lib (libng)
-	xawtv4-4.0-fbtv-fix.patch	- fix %fbtv (no all fix)
- 	xawtv4-4.0-gcc4.patch		- correct from Suse
				    xawtv4-3.999_0.20051018-0.pm.0.src.rpm
- 	xawtv4-4.0-aalib-fix.patch	- delete aalib (bad upstream)
- 	xawtv4-4.0-libquictime-fix.patch - add patch for qt-plugins (Fix mi :) )
- 	xawtv4-4.0-defwintitle.patch	- correct from 3.95
- 	xawtv4-4.0-vdr.patch		- correct from 3.95 + my patch (Fix mi :) )
- 	xawtv4-4.0-russian.patch	- correct from 3.95
- 	xawtv4-4.0-vdr-russian.patch	- correct from 3.95
- Credits :
-		Andrey Rahmatullin <wrar@altlinux.ru>
-		Michael Shigorin <mike@osdn.org.ua>
-		Slava Semushin <php-coder@ngs.ru>
-		Damir Shayhutdinov <lost404@gmail.com>
-		Igor Zubkov <icesik@mail.ru>
-		

* Tue Nov 08 2005 Vyacheslav Dikonov <slava@altlinux.ru> 3.95-alt1
- 3.95, fix to use libquicktime headers in /usr/include/lqt

* Sat Jan 08 2005 Vyacheslav Dikonov <slava@altlinux.ru> 3.93-alt2
- Russian translation

* Fri Jan 07 2005 Vyacheslav Dikonov <slava@altlinux.ru> 3.93-alt1
- 3.93
- 768x576 (PAL) default window size
- small caps work as hotkeys
- thinner font
- improved VDR support

* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 3.90-alt2.1
- rebuild against libdv-0.102.
- %xawtv-vdr subpackage requires vdr (slava@).

* Sat Dec 06 2003 Vyacheslav Dikonov <slava@altlinux.ru> 3.90-alt2
- bugfixes

* Mon Dec 01 2003 Vyacheslav Dikonov <slava@altlinux.ru> 3.90-alt1
- 3.90, VDR support enabled

* Tue Apr 29 2003 Kachalov Anton <mouse@altlinux.ru> 3.80-alt4
- remove checking for remote host for v4l-conf

* Mon Jan 20 2003 Kachalov Anton <mouse@altlinux.ru> 3.80-alt3
- fixed bug #0001906 (lose BuildRequires - motif)

* Mon Dec 23 2002 Kachalov Anton <mouse@altlinux.ru> 3.80-alt2
- russian description & summary

* Fri Dec 06 2002 Kachalov Anton <mouse@altlinux.ru> 3.80-alt1
- version 3.80

* Tue Nov 26 2002 Alexander Belov <asbel@mail.ru> 3.79-alt2
- Adding russian channel freq.
- Mandrake2ALT adaptation
- partial merge with Rider's 3.79-alt1 spec
- Fixing Mandrake error with missing /usr/share/%xawtv
- Adding quicktime support
- Changing names of some packages for prefix '%xawtv' at all
- Fixing BuildRequests
- Version 3.79

* Fri Nov 22 2002 Rider <rider@altlinux.ru> 3.79-alt1
- new version

* Tue Oct 08 2002 Rider <rider@altlinux.ru> 3.76-alt2
- specfile bugfix
- menu item for xawtv-radio

* Thu Oct 03 2002 Rider <rider@altlinux.ru> 3.76-alt1
- 3.76

* Tue Apr 09 2002 Rider <rider@altlinux.ru> 3.73-alt1
- 3.73

* Sun Feb 24 2002 Rider <rider@altlinux.ru> 3.72-alt1
- 3.72

* Tue Feb 19 2002 Rider <rider@altlinux.ru> 3.71-alt1
- 3.71

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 3.70-alt1
- 3.70

* Sun Feb 03 2002 Rider <rider@altlinux.ru> 3.69-alt1
- 3.69

* Thu Jan 31 2002 Rider <rider@altlinux.ru> 3.68-alt1
- 3.68

* Sun Dec 09 2001 Rider <rider@altlinux.ru> 3.65-alt1
- 3.65

* Sat Nov 03 2001 Rider <rider@altlinux.ru> 3.64-alt1
- 3.64

* Fri Oct 12 2001 AEN <aen@logic.ru> 3.62-alt3
- rebuilt with libpng.so.3

* Thu Oct 11 2001 Rider <rider@altlinux.ru> 3.62-alt2
- updated east europe channels list (patch from svb@altlinux.ru)

* Tue Oct 09 2001 Rider <rider@altlinux.ru> 3.62-alt1
- 3.62

* Sat Aug 18 2001 Rider <rider@altlinux.ru> 3.60-alt1
- 3.60

* Wed Jun 27 2001 Sergie Pugachev <fd_rag@altlinux.ru> 3.52-alt1
- new version

* Thu Jun 04 2001 Rider <rider@altlinux.ru>
- 3.50

* Wed May 23 2001 Rider <rider@altlinux.ru>
- 3.48

* Mon May 07 2001 Rider <rider@altlinux.ru>
- 3.46

* Wed Apr 10 2001 Rider <rider@altlinux.ru>
- 3.39

* Sun Mar 18 2001 Rider <rider@altlinux.ru>
- 3.38
- added France and Russia sample config files

* Wed Feb 14 2001 AEN <aen@logic.ru>
- 3.34

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Sun Dec 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.27-1mdk
- new and shiny source.
- remove .bz2 extension for man-pages and change it to wildcard.

* Tue Nov 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.24-1mdk
- new release
- make rpmlint happier

* Fri Oct 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.23-1mdk
- new release

* Tue Oct 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.22-1mdk
- new release

* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-3mdk
- enable DPMS
- fix buildrequires
- disable mouse pointer on v4l buffer
- provide example config file for Paris inhabitants
- add alevtd, rootv, scantv and webcam

* Mon Sep 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-2mdk
- fix menu entry

* Wed Sep 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-1mdk
- new release

* Wed Sep 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-3mdk
- really fix ressources (i know, i've sucked :-( )
- add a menu entry

* Tue Sep 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-2mdk
- fix ressources
- spec file is now shrt-crct compliant :-)

* Wed Sep 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-1mdk
- new release

* Wed Aug 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.19-1mdk
- new release

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.18-1mdk
- fix url
- new release
- compile for XF4 (if you load v4l in module section of /etc/X11/XFconfig-4,
  you can do color conversion and image scaling in hardware on g200/g400
  with hackkernel).

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-3mdk
- BM
- fix build as non-root

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-2mdk
- little spec cleaning

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-1mdk
- new release
- package chmouelization :
	* use %%_mandir, %%prefix
	* use spechelper
	* use %%makeinstall, %%configure

* Mon Jun 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.16-1mdk
- new release (mainly a smaller SRPM)

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.15-1mdk
- new release

* Tue Apr 18 2000 J. Nick Koston <bdraco@darkorb.net> 3.12-1mdk
- Madrakeified
